Search documentation of phoenix_kit

# PhoenixKit.Migrations.Postgres.V49 (phoenix_kit v1.7.87)

Copy Markdown View Source

V49: Shop Import Enhancements

Adds option_mappings to import_configs and product_ids to import_logs for enhanced CSV import functionality.

## Changes

- Adds option_mappings JSONB column to import_configs for storing CSV option to global option mappings configuration
- Adds product_ids INTEGER[] column to import_logs for tracking which products were created/updated during a CSV import

## option_mappings Structure

    [
      {
        "csv_name": "Cup Color",
        "slot_key": "cup_color",
        "source_key": "color",
        "auto_add": true,
        "label": {"en": "Cup Color", "ru": "Цвет чашки"}
      }
    ]

## Summary

### Functions

down(opts)
up(opts)

## Functions

# down(opts)

# up(opts)